=== debian/changelog ===
ros-indigo-joint-limits-interface (0.9.7-0trusty) trusty; urgency=high

  * Add urdf dependency, use urdf_compatibility & update urdf include
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 18 May 2018 23:00:00 -0000

ros-indigo-joint-limits-interface (0.9.6-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-indigo-joint-limits-interface (0.9.5-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-indigo-joint-limits-interface (0.9.4-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-joint-limits-interface (0.9.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-indigo-joint-limits-interface (0.9.2-0trusty) trusty; urgency=high

  * Reset functionality for stateful position joint limit handles
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-joint-limits-interface (0.9.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-joint-limits-interface (0.9.0-0trusty) trusty; urgency=high

  * Buildsystem and documentation fixes
  * Add inline keyword to free header functions
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-joint-limits-interface (0.8.2-0trusty) trusty; urgency=high

  * Propagate urdfdom changes to CMakeLists.txt
    urdfdom is now standalone, so it must be find_package'd independently.
  * Fix rostest, which was not being built correctly.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-indigo-joint-limits-interface (0.8.1-0trusty) trusty; urgency=high

  * Use upstream liburdfdom-dev package.
    Refs ros/rosdistro#4633 <https://github.com/ros/rosdistro/issues/4633>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-indigo-joint-limits-interface (0.8.0-0trusty) trusty; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-joint-limits-interface (0.7.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-joint-limits-interface (0.7.1-0trusty) trusty; urgency=high

  * Fix dependency specification in CMake script to allow isolated builds.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-joint-limits-interface (0.7.0-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-joint-limits-interface (0.6.0-0trusty) trusty; urgency=high

  * Updated the interface list.
  * Added the PositionJointSaturationInterface and VelocitySoftLimitsInterface
    classes. There are now saturation and soft limit classes for effort-controlled,
    position-controlled, and velocity-controlled joints.
  * Contributors: Jim Rothrock

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-joint-limits-interface (0.5.8-0trusty) trusty; urgency=high

  * Merge pull request #121 <https://github.com/ros-controls/ros_control/issues/121> from pal-robotics/hydro-devel
    Fixes for next minor release
  * Added the EffortJointSaturationHandle and EffortJointSaturationInterface
    classes. They are used with joints that do not have soft limits specified in
    their URDF files.
  * Minor documentation precision.
  * Make position joint limits handle opn loop.
    - Lowers the entry barrier for simple robots without velocity measurements,
    poor control tracking or with a slow update rate.
  * Update README.md
  * Create README.md
  * CMakeLists fix to fit with OpenEmbedded/Yocto meta-ros layer.
    Increase the compatibility of the ros_control code with
    meta-ros, an OpenEmbedded/Yocto layer that provides recipes for ROS
    packages disabling catking checking the variable CATKIN_ENABLE_TESTING.
  * Fix license header in some files.
  * Renamed joint_limits_interface manifext.xml

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-indigo-joint-limits-interface (0.5.7-0trusty) trusty; urgency=high

  * Updated changelogs
  * Add angle_wraparound joint limit property.
    For full compatibility with MoveIt!'s joint limit specification.
    Note that we still have the extra effort and jerk specification.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-indigo-joint-limits-interface (0.5.6-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-indigo-joint-limits-interface (0.5.5-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000


